Skip to main content
GET
/
api
/
v1
/
secrets
/
code
/
{share_code}
GetByShareCode
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.PaperSecret.GetByShareCode(ctx, operations.C1APISecretsV1PaperSecretServiceGetByShareCodeRequest{
        ShareCode: "<value>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.PaperSecretServiceGetResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.paperSecret.getByShareCode({
    shareCode: "<value>",
  });

  console.log(result);
}

run();
curl --request GET \
  --url https://{tenantDomain}.conductor.one/api/v1/secrets/code/{share_code} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/secrets/code/{share_code}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}.conductor.one/api/v1/secrets/code/{share_code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "secret": {
    "allowedEmails": [
      "<string>"
    ],
    "allowedUserIds": [
      "<string>"
    ],
    "contentDeleted": true,
    "contentExpiresAt": "2023-11-07T05:31:56Z",
    "contentReady": true,
    "contentType": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "creatorUserId": "<string>",
    "currentViews": 123,
    "deletedAt": "2023-11-07T05:31:56Z",
    "displayName": "<string>",
    "fileSize": "<string>",
    "filename": "<string>",
    "maxViews": 123,
    "shareCode": "<string>",
    "shareUrl": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "vaultId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

share_code
string
required

Human-friendly share code (format: XXXX-XXXX-XXXX, case-insensitive)

Response

200 - application/json

Successful response

The PaperSecretServiceGetResponse message.

secret
Paper Secret · object | null

PaperSecret is the API view of a secret (combines Vault + PaperVault fields). The vault_id is the primary identifier (Vault.id).